.panoContainer.container-hidden {
    transform: translateX(-100%);
    pointer-events: none;
    opacity: 1;
}

.mapContainer.container-hidden {
    transform: translateX(100%);
    pointer-events: none;
    opacity: 1;
}

.map-type-switcher-container {
    transition: opacity 0.3s ease;
}
body[data-switcher="pano"] .map-type-switcher-container {
    opacity: 0;
    pointer-events: none;
}

/* POI Markers */
body.hasHover gmp-advanced-marker:hover {
    z-index: 1 !important;
}
.map-poi-marker,
.pano-poi-marker {
    background: var(--poi-default-bg);
    width: var(--map-poi-size);
    height: var(--map-poi-size);
    border-radius: 50%;
    background-repeat: no-repeat;
    background-position: center;
    background-size: var(--poi-icon-size);
    transition:
        background 0.2s ease,
        shadow 0.2s ease,
        transform 0.2s ease-in-out;
    box-shadow: 0 0 0 2px var(--poi-border);
}
.pano-poi-marker {
    transform: translate(-50%, -50%);
}
.map-poi-marker.site-location,
.pano-poi-marker.site-location {
    width: var(--map-poi-poject-site-size);
    height: var(--map-poi-poject-site-size);
    background-size: cover;
}
body.hasHover .map-poi-marker:hover,
body.hasHover .pano-poi-marker:not(.panorama-callout):hover {
    background-color: var(--poi-default-hover-bg) !important;
    box-shadow: 0 0 0 4px var(--poi-border);
    transform: scale(120%);
}
body.hasHover .pano-poi-marker:not(.panorama-callout):hover {
    transform: translate(-50%, -50%) scale(120%);
}

.pano-poi-marker.panorama-callout {
    width: auto;
    height: auto;
    pointer-events: none;
    user-select: none;
    border-radius: var(--container-border-radius);
    border: none;
    box-shadow: none;
    padding: 0.5em 1em;
    background-color: var(--pano-callout-bg) !important;
    color: var(--pano-callout-text);
    font-size: 0.9rem;
    transform: translate(-50%, calc(-100% - var(--pano-callout-height)));
}
.pano-poi-marker.panorama-callout::before {
    content: "";
    position: absolute;
    left: calc(50% - 1px);
    top: 100%;
    height: var(--pano-callout-height);
    width: 2px;
    background-color: var(--pano-callout-line);
}
.pano-poi-marker.panorama-callout::after {
    content: "";
    position: absolute;
    left: calc(50% - 3px);
    top: calc(100% + var(--pano-callout-height));
    height: 6px;
    width: 6px;
    background-color: var(--pano-callout-line);
    border-radius: 50%;
}

.poi-distance {
    padding-left: 26px;
    background-repeat: no-repeat;
    background-position: left;
    background-size: 24px;
    min-height: 30px;
    display: inline-flex;
    align-items: center;
}
.poi-tooltip {
    font-size: 0.9em;
    line-height: 1.5;
    text-align: center;
    min-width: 150px;
    max-width: 240px;
}
.poi-tooltip .thumbnail {
    width: 240px;
    height: 160px;
    border-radius: var(--container-border-radius);
    overflow: hidden;
    margin: 0 auto 10px;
}
.poi-tooltip .thumbnail img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}
.poi-tooltip .poi-distance {
    color: var(--poi-popup-distance-text);
}
.poi-tooltip .poi-title {
    font-weight: var(--font-accent-weight);
    font-size: 1.5em;
}
/* Site Location Tippy Theme */
.tippy-box[data-theme~="site-location"] {
    background-color: var(--poi-popup-bg);
    color: var(--poi-popup-text);
    border-radius: var(--container-border-radius);
    box-shadow: 0 8px 30px rgba(0, 0, 0, 0.15);
    font-family: var(--font-base);
    font-weight: var(--font-base-weight);
    max-width: none !important;
}
/* Tippy arrow color */
.tippy-box[data-theme~="site-location"] .tippy-arrow {
    color: var(--poi-popup-bg);
}
.tippy-box[data-theme~="site-location"][data-placement^="top"] > .tippy-arrow::before {
    border-top-color: var(--poi-popup-bg);
}
.tippy-box[data-theme~="site-location"][data-placement^="bottom"] > .tippy-arrow::before {
    border-bottom-color: var(--poi-popup-bg);
}

/* Legend */
.site-location-legend-container {
    display: flex;
    flex-direction: column;
    gap: 5px;
    user-select: none;
    margin-bottom: 10px;
    text-shadow: 0 0 5px #000;
}
.legend-item {
    position: relative;
    display: flex;
    align-items: center;
    flex-direction: row;
    gap: 5px;
}
.legend-icon {
    width: var(--map-poi-size);
    height: var(--map-poi-size);
    border-radius: 50%;
    background-color: var(--poi-default-bg);
    background-position: center;
    background-size: var(--poi-icon-size);
    background-repeat: no-repeat;
}
.legend-icon[data-type="site-location"] {
    background-size: cover;
}
